RubyGems Navigation menu

puppet-lint-legacy_facts-check 1.0.4

A pupet-lint to check you are not using legacy facts like `$::operatingsystem` or `$facts['operatingsystem']`. You should use the new structured facts like `$facts['os']['name']` instead

Versions:

  1. 1.0.4 - April 04, 2020 (13 KB)
  2. 1.0.3 - January 27, 2020 (12.5 KB)
  3. 1.0.2 - May 27, 2019 (12.5 KB)
  4. 1.0.1 - May 02, 2019 (12.5 KB)
  5. 1.0.0 - April 13, 2019 (12.5 KB)
Show all versions (11 total)

Runtime Dependencies (1):

Development Dependencies (6):

Owners:

Pushed by:

Authors:

  • Mark McKinstry

SHA 256 checksum:

07a2fd77f0719fa2ad36f6914fb6cd075c1be53d3167421cab746f8508529913

Total downloads 446,918

For this version 64,574

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

Apache-2.0

Required Ruby Version: >= 0

Links: